Bug 1565358 - [RHV] VM Reconfigure: Down VM Memory increase fail on cannot exceed maximum memory
Summary: [RHV] VM Reconfigure: Down VM Memory increase fail on cannot exceed maximum m...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.8.4
Assignee: Moti Asayag
QA Contact: Ilanit Stein
URL:
Whiteboard: rhv:vm reconigure
Keywords: Regression, ZStream
Depends On: 1534520
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-09 22:01 UTC by Satoe Imaishi
Modified: 2018-06-25 14:19 UTC (History)
8 users (show)

(edit)
Clone Of: 1534520
(edit)
Last Closed: 2018-06-25 14:19:14 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1972 None None None 2018-06-25 14:19 UTC

Comment 3 CFME Bot 2018-04-10 21:51:14 UTC
New commit detected on ManageIQ/manageiq/fine:

https://github.com/ManageIQ/manageiq/commit/ef06120834f7ef7c39c7e98c715d953bac1935be
commit ef06120834f7ef7c39c7e98c715d953bac1935be
Author:     Piotr Kliczewski <piotr.kliczewski@gmail.com>
AuthorDate: Thu Mar  8 07:31:44 2018 -0500
Commit:     Piotr Kliczewski <piotr.kliczewski@gmail.com>
CommitDate: Thu Mar  8 07:31:44 2018 -0500

    Merge pull request #224 from masayag/specify_max_memory

    Provide max memory on VM reconfigure
    (cherry picked from commit a3c14af086a7012d4e139e0f25121ae547026883)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1565358

 app/models/manageiq/providers/redhat/infra_manager/ovirt_services/strategies/v4.rb | 37 +-
 spec/models/manageiq/providers/redhat/infra_manager/ovirt_services/strategies/v4_spec.rb | 66 +-
 2 files changed, 98 insertions(+), 5 deletions(-)

Comment 5 Ilanit Stein 2018-04-30 11:53:42 UTC
Verified on CFME-5.8.4.2/RHV-4.2.2.5

Flow:
For a RHV Down VM with physical memory 2GB. and Maximum memory 2GB,
rom CFME side, reconfigure VM: Change memory to 3GB.

Result:
The VM physical memory updated to 3 GB, and the VM maximum VM was set to 4*3GB,
as expected.

Comment 7 errata-xmlrpc 2018-06-25 14:19:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1972


Note You need to log in before you can comment on or make changes to this bug.